<?php
#############################Admin Branches: New strings ######
$admtext['rrab-records'] = "Records";
$admtext['rrab-index'] = "Index";
$admtext['rrab-nodesc'] = "No description";
$admtext['rrab-alphanum'] = "The branch ID cannot contain non-alphanumeric characters";
$admtext['rrab-appendtext'] = "Add this label to any existing labels";
$admtext['rrab-overwritetext'] = "Remove existing branches from any records in this branch";
$admtext['rrab-leavetext'] = "Assign this branch only to records that are not in a branch";
$admtext['rrab-selecttree'] = "Select a tree...";
$admtext['rrab-baform'] = "Branch Action Form";
$admtext['rrab-shownames'] = "Show Names";
$admtext['rrab-fullsearch'] = "Find all records with this branch in the People and Families tables";
$admtext['rrab-partialsearch'] = "Use the Branch specs above";
$admtext['rrab-deleteall'] = "Delete People & Families in this branch";
$admtext['rrab-showusers'] = "Show Users Assigned to this Branch";
$admtext['rrab-perpage'] = "Results Per Page";
$admtext['rrab-spouses'] = "Spouses";
$admtext['rrab-countlabels'] = "Count labels in each branch";
$admtext['rrab-composite'] = "Composite branch";
$admtext['rrab-seecomponents'] = "See its components";
$admtext['rrab-hidecomponents'] = "Hide its components";
$admtext['rrab-clearindex'] = "Clear the branch index";
$admtext['rrab-nobranch'] = "No branch!?!";
$admtext['rrab-clearerror'] = "Unknown error";
$admtext['rrab-index'] = "Index";
$admtext['rrab-done'] = "Done!";

#Footnotes
$admtext['rrab-footnote1'] = "The branch's record count and index entry count should match
If they do not, there is no straightforward way to know which number is wrong, but in either case,
you should rebuild the branch.
The standard way to rebuild the branch is to edit that branch (just click on the branch name in the table above),
then Clear Labels (with the 'All' option), and then Add Labels.";
$admtext['rrab-footnote2'] = "A composite branch's index (in the Branchlinks table) should not have any entries.
If it does, use the '{$admtext['rrab-clearindex']}' button above.
<br>If that fails";
$admtext['rrab-seemore'] = "see more";
$admtext['rrab-footnote2a'] = "There is probably no harm in having that extra index entry,
since the native TNG code uses the Branchlinks table <i>only</i> to restore the tree's branch labels after a Gedcom import.
But it may be prudent to use a tool such as phpMyAdmin to <i>carefully</i> remove all records with that branch value from the Branchlinks table.";

# Help text for the Inner Mod Menu "what has changed" popup
$admtext['rrab-searchdims'] = "380,180";
$admtext['rrab-searchchanged'] = "The mod has added these features:
<ol style='margin-top:0;'>
<li>The 'Results Per Page' and 'Count labels in each branch' search form options.</li>
<li>In the results table:
<ol type='i' style='margin-top:0; margin-bottom:0;'>
<li>The search parameters - Number of generations of ancestors, number of generations of descendants, number of generation of descendants from each ancestor, and whether spouses are included.</li>
<li>Validity checks for the record counts, and, when it finds errors,
it displays instructions for fixing those errors.
</ol></li>
</ol>";
$admtext['rrab-editdims'] = "400, 150";
$admtext['rrab-editchanged'] = "<ol style='margin-top:0;'>
<li>Reorganized the buttons that do branch operations and enclosed them in a form labeled as 'Branch Action Form'.
<li>Placed the Clear and Delete buttons directly on the page instead of the 'Add' popups.</li>
<li>The Add and Clear operations can now be done without displaying names.</li>
<li>Popups are invoked only when the names branch members are listed.</li>
</ol>
If the <a href='https://tng.lythgoes.net/wiki/index.php?title=Admin_Branch_Show_Users' target='_blank'>Admin Branch Show Users</a> mod is installed, the popup box that lists branch members will also list the users who are assigned to the branch.
";

# Message displayed in ajx_labels
$admtext['rrab-branchstill'] = "Branch XXX still contains labels for YYY people and ZZZ families.";

# For mod options, in admin_genconfg.php
$admtext['rrab-showcounts'] = "Count the labels in each branch when displaying the list of branches";
$admtext['rrab-optionhint'] = "In large databases, you'll probably want to leave this unchecked, since it can take a long time to count the labels.";
?>