<?php
##### rradminbranches_ajx.php, created by ###Admin Branches, by Robin Richmond
# Returns branch counts for display in the branch edit page after a branch has been modified.
# It calls the new function getAllBranchCounts, which is in the library file rradminbranches_lib.php,
# which is also installed by Admin Branches.
# mod version 2a
#
#Input querystring parameters:
# $tree - The tree the branch is in
# $branch - The branch key (not the branch description)
#
#Output - 4 HTML fragments to be used as the content for 4 HTML table cells
#         representing the 4 branch counts.
#
# (Note that as an AJAX program, this program doesn't provide an opportunity for a Show Mod Names button
# to be displayed, so there is no point in "registering" it in the $tngModNames global.)

include("begin.php");
include("adminlib.php");
$textpart = "branches";
include($cms['tngpath'] ."getlang.php");
include($cms['tngpath'] ."$mylanguage/admintext.php");

include("checklogin.php");
include("rradminbranches_lib.php"); #Contains functions to get and format branch label counts

@set_time_limit(0);

header("Content-type:text/html; charset=" . $session_charset);

#Use a function to get all 4 values. The function returns a two dimensional array
#indexed by ["records"|"index"] and ["people"|"families"]
$branchcounts = getAllBranchCounts($row['gedcom'], $row['branch']);

#Display the 4 counts
echo "{$branchcounts['records']['people']}
{$branchcounts['records']['families']}
{$branchcounts['index']['people']}
{$branchcounts['index']['families']}";

?>